Page MenuHomePhabricator

FlaggedRevs disabled for NS "Wikisource" and "File" but it still requiring reviews for transcludes
Open, Needs TriagePublic

Description

Was disabled FlaggedRevs for NS "Wikisourse" in ruwikisource. T225037
But this NS continues to require review (which are now disabled) if a page of this NS is a transclusion.

Example:

  1. On https://ru.wikisource.org/wiki/Main_Page there is a news field ("Новости сайта" on the right top of the page).
  2. It transcludes https://ru.wikisource.org/wiki/Template:Новости_сайта.
  3. Which transcludes https://ru.wikisource.org/wiki/Wikisource:Новости_сайта. (in Russian "Викитека:Новости сайта")

If to change the third page, then a message appears on the second page about the need to review it https://ru.wikisource.org/w/index.php?title=Template:Новости_сайта&oldid=3686613&diff=cur.


Also, now it is necessary enable the latest version in the stability settings, for both on the Template:Новости_сайта and on the Main_page.

NS "File" too:
Still requiring accept reviews for NS "File", on pages which includes such files.
To example, https://ru.wikisource.org/w/index.php?title=ИЭС/Раджа&oldid=3672630&diff=cur. Although it is impossible to accept changes of https://ru.wikisource.org/wiki/File:Commons-logo.svg and https://ru.wikisource.org/wiki/File:Wikipedia-logo.png.

In ru.Wikipedia too

Event Timeline

Vladis13 created this task.Jun 18 2019, 9:30 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJun 18 2019, 9:30 PM
Ratte added a subscriber: Ratte.Jun 18 2019, 10:24 PM
This comment was removed by Vladis13.
Vladis13 renamed this task from FlaggedRevs disabled for NS "Wikisourse" but it still requiring reviews for transcludes to FlaggedRevs disabled for NS "Wikisourse" and "File" but it still requiring reviews for transcludes.Jun 19 2019, 3:12 AM
Vladis13 updated the task description. (Show Details)
Aklapper renamed this task from FlaggedRevs disabled for NS "Wikisourse" and "File" but it still requiring reviews for transcludes to FlaggedRevs disabled for NS "Wikisource" and "File" but it still requiring reviews for transcludes.Jun 20 2019, 4:43 AM
Vladis13 updated the task description. (Show Details)Jun 20 2019, 5:13 AM
Reedy closed this task as Resolved.Jun 24 2019, 5:12 PM
Reedy claimed this task.
Vladis13 reopened this task as Open.Jun 25 2019, 8:05 PM

I reopen the task. Unfortantelly, it is not resolved.

How you can see, I added a test message in https://ru.wikisource.org/w/index.php?title=Wikisource:Новости_сайта&diff=3775130&oldid=3775129 (NS Wikisource where have not possibility to review changes).
Then on https://ru.wikisource.org/wiki/Template:Новости_сайта appears warning about this transclude is not reviewed.
And on https://ru.wikisource.org/wiki/Main_Page we need enable stabilization with shown last edit (but then for why need stabilisation?).

Also, in stable version of https://ru.wikisource.org/w/index.php?title=Main_Page&stable=1 there shown the version of transcluded Wikisource:Новости_сайта from 9.06.2019 (by my test mark https://ru.wikisource.org/w/index.php?title=Wikisource:Новости_сайта&diff=3686575&oldid=3686201). It strange too, because this is very old version of Wikisource:Новости_сайта.

Urbanecm added a subscriber: Urbanecm.

Seems to be a code error rather than configuration error then, see below:

[urbanecm@mwmaint1002 ~]$ mwrepl ruwikisource
Welcome to HipHop Debugger!
Type "help" or "?" for a complete list of commands.

Note: no server specified, debugging local scripts only.
If you want to connect to a server, launch with "-h" or use:
  [m]achine [c]onnect <servername>

hphpd> var_dump($wgFlaggedRevsNamespaces);
var_dump($wgFlaggedRevsNamespaces);
array(7) {
  [0]=>
  int(0)
  [1]=>
  int(6)
  [2]=>
  int(10)
  [3]=>
  int(828)
  [4]=>
  int(12)
  [5]=>
  int(104)
  [6]=>
  int(106)
}

Wikisource NS (number 4) is not included in wgFlaggedRevsNamespaces, which means configuration is working properly. Adding MediaWiki-extensions-FlaggedRevs and removing Wikimedia-Site-requests then.

Reedy added a comment.Jun 26 2019, 2:33 PM

At a guess, it's because of the feature in question is enabled conditionally (ugh) in FR...

The problem being the extensionfunction in flaggedrevs.php is run after the one in FR that does it... So the config isn't applied before the conditional setup is done, but appears to be there by the time you can view it in eval.php

Vladis13 added a comment.EditedJun 26 2019, 3:05 PM

This var_dump($wgFlaggedRevsNamespaces) have #6 (NS File), seems it now work (an example is above in post). Update: hm... I update page and it again shown links to not reviewed NS File: https://ru.wikisource.org/w/index.php?title=ИЭС/Раджа&oldid=3672630&diff=cur

Also, here no NS MediaWiki #8, which have same problem. See https://ru.wikisource.org/w/index.php?title=Похождения_Чичикова_(Булгаков)&oldid=1349304&diff=cur.

Vladis13 updated the task description. (Show Details)Aug 10 2019, 9:57 PM
Vladis13 added a comment.EditedAug 10 2019, 9:59 PM

On the Main page of https://ru.wikisource.org for unlogged readers still showing old News. It doesn't updating. (They placed in NS "Wikisource" and can't be revieved for show.) What to do?

Also, https://ru.wikipedia.org have this problem with requiring accept reviews for transcludes from such NS.

@Vladis13: I don't see how that's related to this task. See T119366: Disable caching on the main page for anonymous users instead.

Vladis13 added a comment.EditedAug 11 2019, 11:54 PM

It do, I think. This problem was not until was disabled FlaggedRevs for NS "Wikisourse". And there don't using [[{{LOCALDAY}}. {{LOCALMONTHNAME}}]] [[{{LOCALYEAR}}]] {{#time}} unlike T119366.
Also, the unupdated version shows as stabilized: https://ru.wikisource.org/w/index.php?title=Заглавная_страница&stable=1. I tried to disable stabilisation for Main page, but problem still, because a transcludion can' be reviewed, as I wrote in this task.

Also, I tried to rename the transclusion to another NS, then I accept the review version of it, then did rename page to back in NS "Wikisource". It work. (Although there is some confusing due to there are some pages: the Main page includes template page, which included page of NS Wikisource.)
But it is impossible to do this after each editing the transclusion by users.